You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by ag...@apache.org on 2021/11/23 16:17:37 UTC

[incubator-nuttx] 03/03: tools/checkrelease.sh: Launch nuttx after build

This is an automated email from the ASF dual-hosted git repository.

aguettouche pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit 36a6f4cd0968399c4b1160f8cb6191e65e2415eb
Author: Xiang Xiao <xi...@xiaomi.com>
AuthorDate: Tue Nov 23 03:00:54 2021 +0800

    tools/checkrelease.sh: Launch nuttx after build
    
    Signed-off-by: Xiang Xiao <xi...@xiaomi.com>
---
 tools/checkrelease.sh | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

diff --git a/tools/checkrelease.sh b/tools/checkrelease.sh
index 560d32a..2335212 100755
--- a/tools/checkrelease.sh
+++ b/tools/checkrelease.sh
@@ -133,10 +133,11 @@ function check_nuttx_apps() {
     check_required_files "$RELEASE_DIR"
 }
 
-function check_sim_asan_build() {
+function check_sim_asan() {
     RELEASE_DIR="nuttx"
-    echo "Trying to build $RELEASE_DIR sim:asan..."
     cd "$RELEASE_DIR"
+
+    echo "Trying to build $RELEASE_DIR sim:asan..."
     output=$(make distclean; ./tools/configure.sh sim:asan; make) 2>&1
     return_value=$?
     if [ $return_value -eq 0 ]; then
@@ -147,6 +148,18 @@ function check_sim_asan_build() {
       echo " - Error building sim:asan."
     fi
     echo
+
+    echo "Trying to run $RELEASE_DIR sim:asan..."
+    output=$(./nuttx) 2>&1
+    return_value=$?
+    if [ $return_value -eq 0 ]; then
+      echo " OK: ostest with ASAN pass."
+    else
+      RETURN_CODE=1
+      echo "$output"
+      echo " - Error running sim:asan."
+    fi
+    echo
 }
 
 function usage() {
@@ -212,6 +225,6 @@ download_release
 import_key
 check_nuttx
 check_nuttx_apps
-check_sim_asan_build
+check_sim_asan
 
 exit $RETURN_CODE